## org.aspectj.weaver.tools
Class DefaultTrace

    java.lang.Object
      org.aspectj.weaver.tools.AbstractTrace
          org.aspectj.weaver.tools.DefaultTrace

All Implemented Interfaces:
  Trace

    public class DefaultTrace

extends AbstractTrace

Field Summary

Fields inherited from class org.aspectj.weaver.tools.AbstractTrace
`tracedClass`

Constructor Summary
`DefaultTrace(java.lang.Class clazz)`

Method Summary
`void` `debug(java.lang.String message)`
`void` `enter(java.lang.String methodName, java.lang.Object thiz)`
`void` `enter(java.lang.String methodName, java.lang.Object thiz, java.lang.Object[] args)`
`void` `error(java.lang.String message, java.lang.Throwable th)`
`void` `event(java.lang.String methodName)`
`void` `event(java.lang.String methodName, java.lang.Object thiz, java.lang.Object[] args)`
`void` `exit(java.lang.String methodName)`
`void` `exit(java.lang.String methodName, java.lang.Object ret)`
`void` `exit(java.lang.String methodName, java.lang.Throwable th)`
`void` `fatal(java.lang.String message, java.lang.Throwable th)`
`void` `info(java.lang.String message)`
`boolean` `isTraceEnabled()`
`protected void` `println(java.lang.String s)` Template method that allows choice of destination for output
`void` `setPrintStream(java.io.PrintStream printStream)`
`void` `setTraceEnabled(boolean b)`
`void` `warn(java.lang.String message, java.lang.Throwable th)`

Methods inherited from class org.aspectj.weaver.tools.AbstractTrace
`enter, enter, enter, error, event, exit, exit, fatal, formatArgs, formatArray, formatCollection, formatMessage, formatMessage, formatObj, formatObjects, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTrace

    public DefaultTrace(java.lang.Class clazz)

Method Detail

### isTraceEnabled

    public boolean isTraceEnabled()

### setTraceEnabled

    public void setTraceEnabled(boolean b)

### enter

    public void enter(java.lang.String methodName,
                      java.lang.Object thiz,
                      java.lang.Object[] args)

  Specified by:
    `enter` in interface `Trace`
  Specified by:
    `enter` in class `AbstractTrace`

### enter

    public void enter(java.lang.String methodName,
                      java.lang.Object thiz)

  Specified by:
    `enter` in interface `Trace`
  Specified by:
    `enter` in class `AbstractTrace`

### exit

    public void exit(java.lang.String methodName,
                     java.lang.Object ret)

  Specified by:
    `exit` in interface `Trace`
  Specified by:
    `exit` in class `AbstractTrace`

### exit

    public void exit(java.lang.String methodName)

### exit

    public void exit(java.lang.String methodName,
                     java.lang.Throwable th)

  Specified by:
    `exit` in interface `Trace`
  Specified by:
    `exit` in class `AbstractTrace`

### event

    public void event(java.lang.String methodName,
                      java.lang.Object thiz,
                      java.lang.Object[] args)

### event

    public void event(java.lang.String methodName)

### debug

    public void debug(java.lang.String message)

### info

    public void info(java.lang.String message)

### warn

    public void warn(java.lang.String message,
                     java.lang.Throwable th)

### error

    public void error(java.lang.String message,
                      java.lang.Throwable th)

### fatal

    public void fatal(java.lang.String message,
                      java.lang.Throwable th)

### println

    protected void println(java.lang.String s)

  Template method that allows choice of destination for output

  Parameters:
    `s` - message to be traced

### setPrintStream

    public void setPrintStream(java.io.PrintStream printStream)